@font-face {
    font-family: 'Bogimber';
    src: url('Bogimber.ttf') format('truetype');
}

body {
    margin: 0px;
}


.navbar {
    display: flex;
    position: relative;
    justify-content: center;
    width: 100vw;
}

.navigation-wrapper {
    height: 10.5vh;
    border-radius: 0px 0px 20px 20px;
    background-color: white;
    color: #4384b6;
    font-size: 14px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px 70px;
    width: 40vw;
    position: fixed;
    z-index: 3;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    gap: 7rem;
}

.spacer {
    height: 10vh;
}

/* LEFT COLUMN */
.navigation-wrapper>.left-column {
    display: flex;
    align-items: center;
}

.navigation-wrapper>.left-column>.logo-wrapper {
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 5px;
    z-index: 3;
}

.navigation-wrapper>.left-column>.logo-wrapper>.name a {
    font-family: Bogimber;
    font-size: 30px;
    text-decoration: none;
    color: #4384b6;
}


/* RIGHT COLUMN */
/* NAVLINK */
.link-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.link-wrapper>.active {
    display: flex;
    width: 100px;
    height: 40px;
    text-align: center;
    align-items: center;
    justify-content: center;
    font-family: Poppins;
}

.link-wrapper>.active a {
    font-weight: bold;
    display: inline-block;
    position: relative;
    /* color: #955e2a; */
    color: #4384b6;
    text-decoration: none;
    padding: 20px 0px;
}

.link-wrapper>.navlink {
    display: flex;
    width: 100px;
    height: 40px;
    text-align: center;
    align-items: center;
    justify-content: center;
    font-family: Poppins;
}

.link-wrapper>.navlink a {
    display: inline-block;
    position: relative;
    color: #4384b6;
    text-decoration: none;
    padding: 20px 0px;
}

.link-wrapper>.navlink a::after {
    background: none repeat scroll 0 0 transparent;
    bottom: 0;
    content: "";
    display: block;
    height: 2px;
    left: 50%;
    position: absolute;
    background: #4384b6;
    transition: width 0.3s ease 0s, left 0.3s ease 0s;
    width: 0;
}

.link-wrapper>.navlink a:hover:after {
    width: 100%;
    left: 0;
}

/* EDIT */
.navigation>.navwrapper>.navbar>.wrapper>.navlink a {
    display: inline-block;
    position: relative;
    text-decoration: none;
    color: #4384b6;
    font-family: SatoshiMedium;
    font-size: 1.2rem;
    padding: 15px 20px;
}

.navigation>.navwrapper>.navbar>.wrapper>.navlink a::after {
    background: none repeat scroll 0 0 transparent;
    bottom: 0;
    content: "";
    display: block;
    height: 3px;
    left: 50%;
    position: absolute;
    background: #D82129;
    transition: width 0.3s ease 0s, left 0.3s ease 0s;
    width: 0;
}

.navigation>.navwrapper>.navbar>.wrapper>.navlink a:hover:after {
    width: 100%;
    left: 0;

}

/* HAMBURGER MENU */

.menu {
    display: flex;
    text-decoration: none;
    color: #4384b6;
    font-weight: 500;
    font-size: 1.2rem;
    padding: 0.7rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 62px;
}
.menu-items {
    display: flex;
}

.menu li {
    list-style: none;
}

.menu a {
    text-decoration: none;
    color: #4384b6;
    font-size: 1.2rem;
    padding: 0.7rem;
}

.menu a:hover {
    font-weight: bolder;
}

.menu {
    display: block;
    position: relative;
    height: 60px;
    margin-top: -100px;
}

.menu .checkbox {
    position: absolute;
    display: block;
    height: 32px;
    width: 32px;
    top: 50px;
    left: 85px;
    z-index: 5;
    opacity: 0;
    cursor: pointer;
    -webkit-tap-highlight-color: transparent
}

.menu .hamburger-lines {
    display: block;
    height: 26px;
    width: 32px;
    position: absolute;
    top: 55px;
    left: 90px;
    z-index: 2;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.menu .hamburger-lines .line {
    display: block;
    height: 4px;
    width: 100%;
    border-radius: 10px;
    background: #4384b6;
}

.menu .hamburger-lines .line1 {
    transform-origin: 0% 0%;
    transition: transform 0.4s ease-in-out;
}

.menu .hamburger-lines .line2 {
    transition: transform 0.2s ease-in-out;
}

.menu .hamburger-lines .line3 {
    transform-origin: 0% 100%;
    transition: transform 0.4s ease-in-out;
}
.menus {
    margin-top: 100px;
}
.menu-items {
    box-shadow: 0 10px 20px rgba(0,0,0,0.19), 0 6px 6px rgba(0,0,0,0.23);
    padding-top: 120px;
    background-color: white;
    height: 100vh;
    width: 100%;
    transform: translate(150%);
    display: flex;
    flex-direction: column;
    margin-right: 40px;
    padding-right: 50px;
    transition: transform 0.5s ease-in-out;
    text-align: center;
}

.menu-items li {
    margin-bottom: 1.2rem;
    font-size: 1.5rem;
    font-weight: 500;
}

.menuactive {
    font-weight: bold;
}
.menu input[type="checkbox"]:checked~.menu-items {
    transform: translateX(0);
}

.menu input[type="checkbox"]:checked~.hamburger-lines .line1 {
    transform: rotate(45deg);
}

.menu input[type="checkbox"]:checked~.hamburger-lines .line2 {
    transform: scaleY(0);
}

.menu input[type="checkbox"]:checked~.hamburger-lines .line3 {
    transform: rotate(-45deg);
}

.menu input[type="checkbox"]:checked~.logo {
    display: none;
}

.checkbox {
    position: absolute;
    display: block;
    height: 32px;
    width: 32px;
    top: 50px;
    left: 20px;
    z-index: 5;
    opacity: 0;
    cursor: pointer;
}

@media only screen and (min-width: 1440px) {
    .navigation-wrapper {
        gap: 7rem;
    }


}

@media only screen and (max-width: 1180px) {
    .navigation-wrapper {
        gap: 0;
        font-size: 0.8rem;
    }

    .navigation-wrapper>.left-column>.logo-wrapper>.name a {
        font-size: 1.5rem;
        font-family: Bogimber;
    }

}

@media only screen and (min-width: 677px) {
    .menu {
        display: none;
    }

    .link-wrapper {
        margin-left: 2rem;
    }

    


}

@media only screen and (max-width: 872px) {
    .navigation-wrapper {
        padding: 10px 100px;
    }
    /* .link-wrapper {
        display: none;
    } */
}

@media only screen and (max-width: 677px) {
    .link-wrapper {
        display: none;
    }

    .menu > .hamburger-lines {
        left: 120px;
    }

    .menu > .checkbox {
        left: 115px;
    }

    .navigation-wrapper {
        width: 100vw;
        height: 15vh;
        gap: 7rem;
    }

    .left-column {
        margin-left: 50px;
    }
}

@media only screen and (max-width: 520px) {

    .navigation-wrapper {
        width: 100vw;
        gap: 3rem;
    }

    .menu {
        display: block;
        position: relative;
        height: 60px;
        margin-top: -60px;
    }
}
